.no-pointer, .no-pointer:hover {
    cursor: default !important;
}

html, body {
    height: 100%;
    margin: 0;
}

.layout-root {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    justify-content: space-between;
}

.main-content {
    flex: 1;
}

.footer {
    width: 100%;
    margin-top:16px;
}

.overlay-opacity {
    background-color: #1E1E1E !important;
}

.responsive-loader {
    width: min(70vw, 420px) !important;
    height: min(70vw, 420px) !important;
}

    .responsive-loader svg {
        width: 100% !important;
        height: 100% !important;
    }

.responsive-logo {
    width: 65%;
    height: auto;
}

.responsive-loader-innerpage {
    width: min(50vw, 320px) !important;
    height: min(50vw, 320px) !important;
}

    .responsive-logo-innerpage svg {
        width: 50% !important;
        height: 50% !important;
    }

.responsive-logo-innerpage {
    width: 45%;
    height: auto;
}

.semi-transparent-overlay {
    background-color: rgba(0, 0, 0, 0.5); /* black with 50% opacity */
    backdrop-filter: blur(2px); /* optional: nice blur effect behind overlay */
}

/*Color class*/
.topbar .appbar-select {
    color: var(--mud-palette-appbar-text);
}

.topbar .appbar-select .mud-input-slot {
    color: var(--mud-palette-appbar-text);
}

.topbar .appbar-select .mud-svg-icon {
    color: var(--mud-palette-appbar-text);
}

.topbar .appbar-select .mud-input-outlined-border {
    border-color: var(--mud-palette-appbar-text);
}

.footer-top {
    background-color: var(--mud-palette-footer-top-background) !important;
    color: var(--mud-palette-footer-top-contrast-text);
}

.footer-bot {
    background-color: var(--mud-palette-footer-bot-background) !important;
    color: var(--mud-palette-footer-bot-contrast-text);
}   

/*Nuvei button*/
.nuvei-button {
    background-color: #00BECF;
    color: white;
    width: 100%;
    border-radius: 6px;
    height: 42px;
    font-weight: 500;
    text-transform: none;
    font-weight:bold;
}

    .nuvei-button:hover {
        background-color: #0CA0B0;
    }

/*Moneris checkout overlay*/
.payment-overlay {
    z-index: 3000;
}


